%global         soversion 1

Name:           libcxl
Version:        1.4
Release:        5%{?dist}
Summary:        Coherent accelerator interface
License:        ASL 2.0
URL:            https://github.com/ibm-capi/libcxl
Source0:        https://github.com/ibm-capi/libcxl/archive/v%{version}.tar.gz
ExclusiveArch:  %{power64}
Patch0:         libcxl_create_soname_link.patch
BuildRequires:  gcc

%description
The coherent accelerator interface is designed to allow the coherent
connection of accelerators (FPGAs and other devices) to a POWER system.
Coherent in this context means that the accelerator and CPUs can both access
system memory directly and with the same effective addresses. IBM refers to
this as the Coherent Accelerator Processor Interface (CAPI). In the Linux
world it is referred to by the name CXL to avoid confusion with the ISDN
CAPI subsystem.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains header file and man pages for
developing applications that use %{name}.


%prep
%setup -q
%patch0 -p1

%build
make %{?_smp_mflags} CFLAGS="%{optflags} -fPIC" V=1
mkdir -p build/man3
cp -p man3/*.3 build/man3

%install
make DESTDIR=%{buildroot} prefix=/usr install
mkdir -p $RPM_BUILD_ROOT%{_mandir}
cp -a build/man3 $RPM_BUILD_ROOT%{_mandir}/

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%license LICENSE
%doc README.md
%{_libdir}/libcxl.so.*

%files devel
%{_includedir}/*
%{_mandir}/man3/*
%{_libdir}/libcxl.so

%changelog
* Fri Jun 10 2016 Than Ngo <than@redhat.com> - 1.4-5
- cleanup specfile
- upload the tarball

* Thu Jun 1 2016 michel normand <normand@linux.vnet.ibm.com> 1.3-4
- Update v1.4
  * New API function cxl_get_psl_timebase_synced.
  * Simplify implementation of OUT_OF_RANGE macro
  * libcxl add install target
  * use LDFLAGS from the env
  * libcxl set default soname and interface version
  * Add extern "C" to libcxl.h for compatibility with C++ projects
  * typo error in 3 man pages
  * Add SONAME support in Makefile
- remove embeded patches:
  libcxl_typo_correction_man_pages.patch
  libcxl_add_soname_in_Makefile.patch
- new libcxl_create_soname_link.patch

* Thu Mar 17 2016 michel normand <normand@linux.vnet.ibm.com> 1.3-4
- do cp -p of man page in build section, and add empty lines below.
- this is the initial version before git commit.

* Fri Mar 11 2016 michel normand <normand@linux.vnet.ibm.com> 1.3-3
- add libcxl.so in devel package

* Thu Mar 03 2016 michel normand <normand@linux.vnet.ibm.com> 1.3-2
- do not use releease in VERS_LIB

* Fri Jan 29 2016 michel normand <normand@linux.vnet.ibm.com> 1.3-1
- new package and spec file of libcxl from upstream
  url: https://github.com/ibm-capi/libcxl
